PULLSEQ(1)

NAME
pullseq - <short_description>

DESCRIPTION
pullseq - a bioinformatics tool for manipulating fasta and fastq files

Version: 1.0.2 Name lookup method: UTHASH (Written by bct - copyright 2012-2015)

  Usage:

    pullseq -i <input fasta/fastq file> -n <header names to select>

    pullseq -i <input fasta/fastq file> -m <minimum sequence length>

    pullseq -i <input fasta/fastq file> -g <regex name to match>

    pullseq -i <input fasta/fastq file> -m <minimum sequence length> -a <max sequence length>

    pullseq -i <input fasta/fastq file> -t

    cat <names to select from STDIN> | pullseq -i <input fasta/fastq file> -N

    Options:

-i, --input,
    Input fasta/fastq file (required)

-n, --names,
    File of header id names to search for

-N, --names_stdin, Use STDIN for header id names

-g, --regex,
    Regular expression to match (PERL compatible; always case-insensitive)

-m, --min,
    Minimum sequence length

-a, --max,
    Maximum sequence length

-l, --length,
    Sequence characters per line (default 50)

-c, --convert,
    Convert input to fastq/fasta (e.g. if input is fastq, output will be fasta)

-q, --quality,
    ASCII code to use for fasta->fastq quality conversions

-e, --excluded,
    Exclude the header id names in the list (-n)

-t, --count,
    Just count the possible output, but don't write it

-h, --help,
    Display this help and exit

-v, --verbose,
    Print extra details during the run

--version,
    Output version information and exit

AUTHOR
 This manpage was written by Nilesh Patra for the Debian distribution and
 can be used for any other usage of the program.